Bug 82795 - fix the bug for inverted arrow key behavior in left to right vertical text
Summary: fix the bug for inverted arrow key behavior in left to right vertical text
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks: Vertical-Text
  Show dependency treegraph
 
Reported: 2014-08-19 03:16 UTC by aronsoyol
Modified: 2018-12-11 03:44 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
left-to-right-vertical (11.19 KB, application/vnd.oasis.opendocument.text)
2014-08-19 03:16 UTC, aronsoyol
Details
left-to-right-vertical.odt (11.19 KB, application/vnd.oasis.opendocument.text)
2014-08-19 03:18 UTC, aronsoyol
Details
this is an odt file created by LO4.2.6.2. (19.34 KB, application/vnd.oasis.opendocument.text)
2014-10-29 03:55 UTC, aronsoyol
Details
it is a patch for direction key control of anchored object (793 bytes, patch)
2016-07-12 08:33 UTC, baigali
Details
patch for [fix the bug for inverted arrow key behavior in left to right vertical text (8.35 KB, patch)
2016-07-12 08:45 UTC, baigali
Details
fix the bug for inverted arrow key behavior in left to right vertical text (7.76 KB, patch)
2016-07-12 08:50 UTC, baigali
Details

Note You need to log in before you can comment on or make changes to this bug.
Description aronsoyol 2014-08-19 03:16:53 UTC
Created attachment 104856 [details]
left-to-right-vertical
Comment 1 aronsoyol 2014-08-19 03:18:57 UTC
Created attachment 104857 [details]
left-to-right-vertical.odt
Comment 2 Jean-Baptiste Faure 2014-08-24 19:51:00 UTC
Please explain, step by step how to reproduce the problem.
https://wiki.documentfoundation.org/QA/BugReport#4:_Description

Set status to NEEDINFO. Please set it back to UNCONFIRMED once you have provided requested informations. Thank you for your understanding.

Best regards. JBF
Comment 3 aronsoyol 2014-10-29 03:55:38 UTC
Created attachment 108604 [details]
this is an odt file created by LO4.2.6.2.

This is an ODT file created by LO 4.2.6.2. 
This is left to right vertical layout mode used for Traditional Mongolian Script.
Behavior of arrow keys(left and right)  and mouse dragging are incorrect.
There is several line of English word and a circle shape in the file. 
If you press left arrow key the caret will move to right line
If you press right arrow key the caret will move to left line
If you drag the circle shape to right ,it will be move to left,
If you drag the circle shape to left ,it will be move to right,

I have reported this bug to Appache OpenOffice and confirmed already.
Comment 4 Buovjaga 2014-11-15 12:29:44 UTC
Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 5 QA Administrators 2015-12-20 16:06:35 UTC Comment hidden (obsolete)
Comment 6 Marco Filippozzi 2016-06-16 13:34:45 UTC
Present on:

Version: 5.0.6.3
Build ID: 490fc03b25318460cfc54456516ea2519c11d1aa
Locale: it-IT (it_IT.UTF-8)

Version: 5.1.3.2
Build ID: 644e4637d1d8544fd9f56425bd6cec110e49301b
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default;
Locale: it-IT (it_IT.UTF-8)

Version: 5.2.0.0.beta2
Build ID: ae12e6f168ba39f137fc110174a37c482ce68fa4
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default;
Locale: it-IT (it_IT.UTF-8)

Version: 5.3.0.0.alpha0+
Build ID: a8bd44573b75d1399257d6f5d052611439607189
CPU Threads: 2; OS Version: Linux 4.1; UI Render: default;
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 
2016-06-13_23:46:49
Locale: it-IT (it_IT.UTF-8)

OS:    openSUSE Leap 42.1 (x86_64)
Comment 7 baigali 2016-07-12 08:17:31 UTC
yes ,in current version ,when the anchor to property of anchored object is to page, mouse dragging operation is completly out of work.And there is also a problem when control with direction key ,the object moving behaver is incorrect too.
Comment 8 baigali 2016-07-12 08:33:59 UTC
Created attachment 126176 [details]
it is a patch for direction key control of anchored object

but i still don't have any idea of how to fix [Mouse dragging a floating object is inverted horizontally in left to right vertical layout mode
]
Comment 9 Buovjaga 2016-07-12 08:41:38 UTC
(In reply to baigali from comment #8)
> Created attachment 126176 [details]
> it is a patch for direction key control of anchored object

If you think your patch is ready to be included in LibreOffice, please submit it to Gerrit. Here is a good guide for everything: https://wiki.documentfoundation.org/Development/GetInvolved
Comment 10 baigali 2016-07-12 08:45:56 UTC
Created attachment 126177 [details]
patch for [fix the bug for inverted arrow key behavior in left to right vertical text

patch for [fix the bug for inverted arrow key behavior in left to right vertical text
Comment 11 baigali 2016-07-12 08:50:24 UTC
Created attachment 126178 [details]
fix the bug for inverted arrow key behavior in left to right vertical text
Comment 12 Buovjaga 2016-07-13 19:21:04 UTC
(In reply to baigali from comment #11)
> Created attachment 126178 [details]
> fix the bug for inverted arrow key behavior in left to right vertical text

Please submit it to Gerrit or it will never be included.
Comment 13 Volga 2017-01-03 13:51:30 UTC Comment hidden (obsolete)
Comment 14 Xisco Faulí 2017-07-13 09:37:39 UTC
Setting Assignee back to default. Please change it back if you're still working
on this issue
Comment 15 Michael Meeks 2017-07-13 10:27:26 UTC
Thanks for the patch, sorry for the slow reply - gerrit would be good for this - but I think we want to split all the copy/paste key re-writing code to a helper function first (perhaps in VCL's Window:: or something ?) - commenting out code is also something we try to avoid =)
Comment 16 Volga 2017-12-10 02:56:18 UTC
Is it possible to move the patch into Gerrit server?
Comment 17 QA Administrators 2018-12-11 03:44:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug